ManyToOneAttributeBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class ManyToOneAttributeBinding

    java.lang.Object
      org.hibernate.metamodel.binding.AbstractAttributeBinding
          org.hibernate.metamodel.binding.AbstractSingularAttributeBinding
              org.hibernate.metamodel.binding.BasicAttributeBinding
                  org.hibernate.metamodel.binding.ManyToOneAttributeBinding

All Implemented Interfaces:
  AssociationAttributeBinding, AttributeBinding, KeyValueBinding, SingularAssociationAttributeBinding, SingularAttributeBinding

    public class ManyToOneAttributeBinding

extends BasicAttributeBinding
implements SingularAssociationAttributeBinding

TODO : javadoc

Method Summary
`CascadeStyle` | `getCascadeStyle()` Obtain the cascade style in effect for this association.
`FetchMode` | `getFetchMode()` Temporary.
`FetchStyle` | `getFetchStyle()`
`FetchTiming` | `getFetchTiming()`
`AttributeBinding` | `getReferencedAttributeBinding()`
`String` | `getReferencedAttributeName()`
`EntityBinding` | `getReferencedEntityBinding()`
`String` | `getReferencedEntityName()` Obtain the name of the referenced entity.
`boolean` | `isAssociation()`
`boolean` | `isPropertyReference()` Is this association based on a property reference (non PK column(s) as target of FK)? Convenience form of checking `SingularAssociationAttributeBinding.getReferencedAttributeName()` for `null`.
`boolean` | `isReferenceResolved()`
`void` | `resolveReference(AttributeBinding referencedAttributeBinding)`
`void` | `setCascadeStyles(Iterable<CascadeStyle> cascadeStyles)` Set the cascade styles in effect for this association.
`void` | `setFetchStyle(FetchStyle fetchStyle)`
`void` | `setFetchTiming(FetchTiming fetchTiming)`
`void` | `setReferencedAttributeName(String referencedEntityAttributeName)`
`void` | `setReferencedEntityName(String referencedEntityName)` Set the name of the

Methods inherited from class org.hibernate.metamodel.binding.BasicAttributeBinding
`forceNonNullable, forceUnique, getGeneration, getMetaAttributeContext, getUnsavedValue, isIncludedInOptimisticLocking, isKeyCascadeDeleteEnabled, setGeneration, setIncludedInOptimisticLocking, setKeyCascadeDeleteEnabled, setMetaAttributeContext, setUnsavedValue`

Methods inherited from class org.hibernate.metamodel.binding.AbstractSingularAttributeBinding
`checkValueBinding, getAttribute, getSimpleValueBindings, getSimpleValueSpan, getValue, hasDerivedValue, isNullable, setSimpleValueBindings`

Methods inherited from class org.hibernate.metamodel.binding.AbstractAttributeBinding
`addEntityReferencingAttributeBinding, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getPropertyAccessorName, isAlternateUniqueKey, isBasicPropertyAccessor, isLazy, setAlternateUniqueKey, setLazy, setPropertyAccessorName, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.binding.SingularAttributeBinding
`getGeneration, getSimpleValueBindings, getSimpleValueSpan, getValue, hasDerivedValue, isNullable, setSimpleValueBindings`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`addEntityReferencingAttributeBinding, getAttribute, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getMetaAttributeContext, getPropertyAccessorName, isAlternateUniqueKey, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setIncludedInOptimisticLocking, setPropertyAccessorName, validate`

Method Detail

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `AttributeBinding`
  Overrides:
    `isAssociation` in class `BasicAttributeBinding`

### isPropertyReference

    public final boolean isPropertyReference()

  Description copied from interface: `SingularAssociationAttributeBinding`
  Is this association based on a property reference (non PK column(s) as target of FK)?

  Convenience form of checking `SingularAssociationAttributeBinding.getReferencedAttributeName()` for `null`.

  Specified by:
    `isPropertyReference` in interface `SingularAssociationAttributeBinding`
  Returns:

### getReferencedEntityName

    public final String getReferencedEntityName()

  Description copied from interface: `SingularAssociationAttributeBinding`
  Obtain the name of the referenced entity.

  Specified by:
    `getReferencedEntityName` in interface `SingularAssociationAttributeBinding`
  Returns:
    The referenced entity name

### setReferencedEntityName

    public void setReferencedEntityName(String referencedEntityName)

  Description copied from interface: `SingularAssociationAttributeBinding`
  Set the name of the

  Specified by:
    `setReferencedEntityName` in interface `SingularAssociationAttributeBinding`

### getReferencedAttributeName

    public final String getReferencedAttributeName()

  Specified by:
    `getReferencedAttributeName` in interface `SingularAssociationAttributeBinding`

### setReferencedAttributeName

    public void setReferencedAttributeName(String referencedEntityAttributeName)

  Specified by:
    `setReferencedAttributeName` in interface `SingularAssociationAttributeBinding`

### getCascadeStyle

    public CascadeStyle getCascadeStyle()

  Description copied from interface: `AssociationAttributeBinding`
  Obtain the cascade style in effect for this association.

  Specified by:
    `getCascadeStyle` in interface `AssociationAttributeBinding`
  Returns:
    The (potentially aggregated) cascade style.

### setCascadeStyles

    public void setCascadeStyles(Iterable<CascadeStyle> cascadeStyles)

  Description copied from interface: `AssociationAttributeBinding`
  Set the cascade styles in effect for this association.

  Specified by:
    `setCascadeStyles` in interface `AssociationAttributeBinding`
  Parameters:
    `cascadeStyles` - The cascade styles.

### getFetchTiming

    public FetchTiming getFetchTiming()

  Specified by:
    `getFetchTiming` in interface `AssociationAttributeBinding`

### setFetchTiming

    public void setFetchTiming(FetchTiming fetchTiming)

  Specified by:
    `setFetchTiming` in interface `AssociationAttributeBinding`

### getFetchStyle

    public FetchStyle getFetchStyle()

  Specified by:
    `getFetchStyle` in interface `AssociationAttributeBinding`

### setFetchStyle

    public void setFetchStyle(FetchStyle fetchStyle)

  Specified by:
    `setFetchStyle` in interface `AssociationAttributeBinding`

### getFetchMode

    public FetchMode getFetchMode()

  Description copied from interface: `AssociationAttributeBinding`
  Temporary. Needed for integration with legacy org.hibernate.mapping configuration of persisters.

  Specified by:
    `getFetchMode` in interface `AssociationAttributeBinding`

### isReferenceResolved

    public final boolean isReferenceResolved()

  Specified by:
    `isReferenceResolved` in interface `SingularAssociationAttributeBinding`

### resolveReference

    public final void resolveReference(AttributeBinding referencedAttributeBinding)

  Specified by:
    `resolveReference` in interface `SingularAssociationAttributeBinding`

### getReferencedAttributeBinding

    public AttributeBinding getReferencedAttributeBinding()

  Specified by:
    `getReferencedAttributeBinding` in interface `SingularAssociationAttributeBinding`

### getReferencedEntityBinding

    public final EntityBinding getReferencedEntityBinding()

  Specified by:
    `getReferencedEntityBinding` in interface `SingularAssociationAttributeBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.